Bug 522563 (Jonathan) - mysql lacks support for FEDERATED engine (FutureFeature)
Summary: mysql lacks support for FEDERATED engine (FutureFeature)
Keywords:
Status: CLOSED NOTABUG
Alias: Jonathan
Product: Fedora
Classification: Fedora
Component: mysql
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 17:49 UTC by Jonathan Gazeley
Modified: 2013-07-03 03:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-10 17:17:45 UTC


Attachments (Terms of Use)

Description Jonathan Gazeley 2009-09-10 17:49:48 UTC
KEYWORD FutureFeature

Description of problem:

The mysql-server package is built without support for the FEDERATED engine.


Version-Release number of selected component (if applicable):

Confirmed on Fedora 11, MySQL 5.1.37


How reproducible:

Every time mysql-server is installed.


Steps to Reproduce:

Install mysql-server
  

Actual results:

mysql> show engines;
+------------+---------+------------------------------------------------------------+--------------+------+------------+
| Engine     | Support | Comment                                                    | Transactions | XA   | Savepoints |
+------------+---------+------------------------------------------------------------+--------------+------+------------+
| ndbcluster | NO      | Clustered, fault-tolerant tables                           | NULL         | NULL | NULL       | 
| MRG_MYISAM | YES     | Collection of identical MyISAM tables                      | NO           | NO   | NO         | 
| CSV        | YES     | CSV storage engine                                         | NO           | NO   | NO         | 
| MyISAM     | DEFAULT | Default engine as of MySQL 3.23 with great performance     | NO           | NO   | NO         | 
| InnoDB     | YES     | Supports transactions, row-level locking, and foreign keys | YES          | YES  | YES        | 
| MEMORY     | YES     | Hash based, stored in memory, useful for temporary tables  | NO           | NO   | NO         | 
+------------+---------+------------------------------------------------------------+--------------+------+------------+
6 rows in set (0.00 sec)


Expected results:

Not so much "expected" as "desired"... I would like the packagers to consider building mysql-server with --with-plugins=federated to provide support for the FEDERATED engine.

If this is not possible, how about an additional or alternative package that provides this functionality?


Additional info:

Currently the only way to have a MySQL server with the FEDERATED engine is to build it from source. I would like to be able to install it from a repository with the FEDERATED engine already compiled in.

Cheers,
Jonathan

Comment 1 Tom Lane 2009-11-10 17:17:45 UTC
The federated storage engine already is built as a plugin.  You just need to enable it.


Note You need to log in before you can comment on or make changes to this bug.